Subject: Re: [tsvwg] New Version Notification for draft-fairhurst-tsvwg-cc-05.txt

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 18 Nov 2020 10:01:48 +0000

I'm trying to re-energise this work on finding out what makes an 
acceptable IETF transport.

My intention is that this isn't about the nuances of what makes a good 
CC, as much as how do we set rules to avoid the excesses of a bad 
design. That said, the current text draws heavilly on a detailed read of 
previous RFCs - at the moment this doesn't so much capture the key 
principles of what matters..., if this is taken further, we need to look 
forwards (as much as backwards at what RFCs have said). All suggestions 
are welcome!

Gorry

On 17/11/2020 12:27, [email-masked] wrote:
> A new version of I-D, draft-fairhurst-tsvwg-cc-05.txt
> has been successfully submitted by Godred Fairhurst and posted to the
> IETF repository.
>
> Name:		draft-fairhurst-tsvwg-cc
> Revision:	05
> Title:		Guidelines for Internet Congestion Control at Endpoints
> Document date:	2020-11-17
> Group:		Individual Submission
> Pages:		26
> URL:            https://www.ietf.org/archive/id/draft-fairhurst-tsvwg-cc-05.txt
> Status:         https://datatracker.ietf.org/doc/draft-fairhurst-tsvwg-cc/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-fairhurst-tsvwg-cc
> Htmlized:       https://tools.ietf.org/html/draft-fairhurst-tsvwg-cc-05
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-fairhurst-tsvwg-cc-05
>
> Abstract:
>     This document is for discussion by the TSVWG.  It provides guidance
>     on the design of methods to avoid congestion collapse and to provide
>     congestion control.  Recommendations and requirements on this topic
>     are distributed across many documents in the RFC series.  This
>     therefore seeks to gather and consolidate these recommendations in an
>     annexe.  Based on these specifications, and Internet engineering
>     experience, the document provides input to the design of new
>     congestion control methods in protocols.
>
>     The present document is for discussion and comment by the IETF.  If
>     published, it plans to update or replace the Best Current Practice in
>     BCP 41, which currently includes "Congestion Control Principles"
>     provided in RFC2914.
>
>                                                                                    
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>